replicaCount: 1
podAnnotations:
  dapr.io/enabled: "true"
  dapr.io/app-id: "prod-codex"
  dapr.io/app-port: "8085"
  dapr.io/api-token-secret: "dapr-api-token"
  dapr.io/config: "tracing"
  dapr.io/app-protocol: "http"
ingress:
  enabled: true
  className: "nginx"
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    oceanbox.io/expose: internal
  hosts:
    - host: codex.adm.oceanbox.io
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls:
    - hosts:
        - codex.adm.oceanbox.io
      secretName: prod-codex-tls
volumes:
  - name: appsettings
    configMap:
      name: prod-codex-appsettings
volumeMounts:
  - name: appsettings
    mountPath: "/app/appsettings.json"
    readOnly: true
    subPath: appsettings.json
